# // Average < FLOAT Array[], INT Array_length >         
+
  'Total, 'Divider = 0

  for I = 0; I < Array_length; I ++, Divider ++                                /* !!! */
  +
    Total += Array[I]
  ;

  return Total / Divider | 0 <- Divider != 0
;
